Doomsday Engine - Feature #2358

Fixed FOV for rendering weapon models
2019-12-01 14:01 - skyjake

Status: Closed Start date: 2019-12-01
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.2 (2019)

Description

The cvar "rend-model-fov" specifies the FOV for weapon models, which is separate from the rest of the view. This alleviates issues
with weapon models not being drawn as the author intended.

The default value is 95°.

Related issues:

Related to Bug #2234: Fov 160 + near clip plane issues with MD2 and FBX HUD M... Closed 2017-04-03
Related to Feature #2405: Per-model FOV for rendering psprite models Closed 2020-01-22
History

#1 - 2019-12-01 14:02 - skyjake
- Related to Bug #2234: Fov 160 + near clip plane issues with MD2 and FBX HUD Models added

#2 - 2019-12-17 11:17 - skyjake

- Status changed from Resolved to Closed

#3 - 2020-01-22 20:37 - skyjake
- Related to Feature #2405: Per-model FOV for rendering psprite models added
